Page MenuHomePhabricator

Wikistats2 bugs (1/4) - Dashboard and general UI
Closed, ResolvedPublic5 Story Points

Description

  • In the dashboard's miniature chart, the current month is represented by a 1-char abbreviation. This is a bit confusing because J can be January, June and July, and A can be April or August, and M can be March or May. In the mini-graph, that is OK because you have the yearly context, but the current month should be represented with a full name.


  • If you change the wiki a couple times (for example: select Achinese Wikipedia, then select Adhyge Wikipedia) the minigraph displays 2 column charts superposed. If you can not reproduce this, try going to detail page and selecting 2 years in the time range selector; then go back to the dashboard.


  • When changing the time range selector to either 3 months or 1 month in the detail page, or when enabling the breakdown in the detail page: the dashboard crashes and is no longer able to render the miniature metric box. It seems that the state of these options formats the data in a way the dashboard can not use.


  • When you have selected a wiki (say Achinese Wiktionary) and you click on the Wikimedia logo to go back to the dashboard, you loose the wiki selection and go back to default.

  • 'About' and 'About-data' links are broken

Event Timeline

mforns created this task.Jul 18 2017, 1:49 PM
Restricted Application added subscribers: Cosine02, Aklapper. · View Herald TranscriptJul 18 2017, 1:49 PM
fdans claimed this task.Jul 24 2017, 4:29 PM
fdans edited projects, added Analytics-Kanban; removed Analytics-Wikistats.
fdans set the point value for this task to 5.
fdans moved this task from Next Up to In Progress on the Analytics-Kanban board.Aug 6 2017, 5:27 PM
fdans updated the task description. (Show Details)Aug 6 2017, 5:31 PM
fdans updated the task description. (Show Details)Aug 6 2017, 6:17 PM
fdans moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Aug 29 2017, 11:08 PM
Milimetric closed this task as Resolved.Sep 13 2017, 3:59 PM
Milimetric added a subscriber: Milimetric.

All of these have been addressed, good.